Package io.vertx.ext.web.templ.handlebars

## Interface HandlebarsTemplateEngine

- All Superinterfaces:
    `TemplateEngine`

      public interface HandlebarsTemplateEngine
      extends TemplateEngine

  A template engine that uses the Handlebars library. The `TemplateEngine.unwrap()` shall return an object of class `Handlebars`
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` | Default template extension

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HandlebarsTemplateEngine` | `create​(Vertx vertx)` | Create a template engine using defaults
    `static HandlebarsTemplateEngine` | `create​(Vertx vertx, String extension)` | Create a template engine using defaults
    `HandlebarsTemplateEngine` | `setResolvers​(com.github.jknack.handlebars.ValueResolver... resolvers)` | Set the array of handlebars context value resolvers.

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `clearCache, render, render, unwrap`

- - ### Field Detail

    - #### DEFAULT_TEMPLATE_EXTENSION

          static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static HandlebarsTemplateEngine create​(Vertx vertx)

      Create a template engine using defaults
      Returns:
        the engine

    - #### create

          static HandlebarsTemplateEngine create​(Vertx vertx,
                                                 String extension)

      Create a template engine using defaults
      Returns:
        the engine

    - #### setResolvers

          HandlebarsTemplateEngine setResolvers​(com.github.jknack.handlebars.ValueResolver... resolvers)

      Set the array of handlebars context value resolvers.
      Parameters:
        `resolvers` - the value resolvers to be used
      Returns:
        a reference to the internal Handlebars instance.